Bug 971052 - menu items from systems tab are unaccessible for org admins beyond first one
menu items from systems tab are unaccessible for org admins beyond first one
Status: CLOSED NOTABUG
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.10
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: space27
  Show dependency treegraph
 
Reported: 2013-06-05 10:44 EDT by Tomáš Kašpárek
Modified: 2017-09-28 14:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 04:59:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Kašpárek 2013-06-05 10:44:57 EDT
Description of problem:
When logged into WebUI with another organizations administrator (or f.e activation key administrator) only 'Systems' and 'Software Crashes' menu items are visible where others like activation keys and kickstarts should be visible.

Version-Release number of selected component (if applicable):
spacewalk 1.10 nightly

How reproducible:
always

Steps to Reproduce:
1. create organization beyond the first one
2. log with new organizations admin (or f.e. activation key admin) into web you and go to systems tab

Actual results:
Only 'Systems' and 'Software Crashes' menu items are visible.
When creating f.e. activation key via API it's activation key is created.
When manually navigating into page like https://spacewalk/rhn/activationkeys/Edit.do?tid=6 where tid is id of existing activation key for given organization beyond first one details presented for user with corresponding rights.

Expected results:
Menu items to which user has access should be visible in WebUI and navigation to them should be possible.
Comment 3 Eric Herget 2017-09-28 14:10:27 EDT
This BZ closed some time during 2.5, 2.6 or 2.7.  Adding to 2.7 tracking bug.

Note You need to log in before you can comment on or make changes to this bug.